package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

import org.openmuc.jmbus.DataRecord;

public class HottisFourChannelThermometer implements ADataParser<TemperatureDataObject> {
	public List<TemperatureDataObject> parse(LocalDateTime timestamp, String name, List<DataRecord> dataRecords) {
		ArrayList<TemperatureDataObject> list = new ArrayList<TemperatureDataObject>();
		
		TemperatureDataObject tdo = new TemperatureDataObject(timestamp, "Hedge", dataRecords.get(5).getScaledDataValue());
		list.add(tdo);
		
		tdo = new TemperatureDataObject(timestamp, "House", dataRecords.get(7).getScaledDataValue());
		
		return list;
	}
}
