package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.Map;

public abstract class ADataObject {
	private LocalDateTime timestamp;
	private String name;
	private Map<String, Object> values;
	
	public ADataObject(LocalDateTime timestamp, String name) {
		this.timestamp = timestamp;
		this.name = name;
	}

	public void setValues(Map<String, Object> values) {
		this.values = values;
	}
	
	abstract public String getTableName();
	
	public LocalDateTime getTimestamp() {
		return timestamp;
	}
	
	public Map<String, Object> getValues() {
		return values;
	}
	
	public String getName() {
		return name;
	}
}
